#
# spec file for package fuse-exfat
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           fuse-exfat
Version:        1.1.0
Release:        2.1
License:        GPL-2.0+
Url:            http://code.google.com/p/exfat/
Summary:        Free exFAT file system implementation
Group:          System/Base
Source0:        fuse-exfat-%{version}.tar.gz
BuildRequires:  fuse-devel >= 2.6
BuildRequires:  scons
BuildRequires:  gzip
Requires:       fuse >= 2.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This project aims to provide a full-featured exFAT file system
implementation for GNU/Linux and other Unix-like systems as a FUSE
module and a set of utilities.

%prep
%setup -q

%build
scons \
	CCFLAGS="-D_FILE_OFFSET_BITS=64 -std=c99 %{optflags}"

%install
scons install DESTDIR=%{buildroot}/sbin

mkdir -p %{buildroot}%{_mandir}/man8
gzip -9 -c fuse/mount.exfat-fuse.8 > %{buildroot}%{_mandir}/man8/mount.exfat-fuse.8.gz
pushd %{buildroot}%{_mandir}/man8
ln -s mount.exfat-fuse.8.gz mount.exfat.8.gz
popd

%post
if ! grep -e '^exfat$' /etc/filesystems >/dev/null 2>&1 ; then
    sed -i 's/*/exfat\n*/g' /etc/filesystems
    echo "Added 'exfat' to the file /etc/filesystems"
fi

if ! grep exfat_fuse /etc/filesystems >/dev/null 2>&1 ; then
    sed -i 's/*/exfat_fuse\n*/g' /etc/filesystems
    echo "Added 'exfat_fuse' to the file /etc/filesystems"
fi

%postun
if [ "$1" == "0" ]; then
    sed -i -e '/exfat_fuse/d' -e '/^exfat$/d' /etc/filesystems
    echo "Deleted 'exfat' and 'exfat_fuse' from the file /etc/filesystems"
fi

%files
%defattr(-,root,root)
/sbin/*
%{_mandir}/man8/*

%changelog
* Mon Jan 19 2015 joerg.lorenzen@ki.tng.de
- Fixed license and added sections post/postun to spec file
* Fri Aug  8 2014 olaf@aepfle.de
- Initial version fuse-exfat-1.1.0
